Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.databind.introspect
Class AnnotatedField

    java.lang.Object
      com.fasterxml.jackson.databind.introspect.Annotated
          com.fasterxml.jackson.databind.introspect.AnnotatedMember
              com.fasterxml.jackson.databind.introspect.AnnotatedField

All Implemented Interfaces:
  Serializable

    public final class AnnotatedField

extends AnnotatedMember
implements Serializable

Object that represents non-static (and usually non-transient/volatile) fields of a class.

See Also:
  Serialized Form

Field Summary
`protected Field` | `_field` Actual `Field` used for access.
`protected com.fasterxml.jackson.databind.introspect.AnnotatedField.Serialization` | `_serialization` Temporary field required for JDK serialization support

Fields inherited from class com.fasterxml.jackson.databind.introspect.AnnotatedMember
`_annotations`

Constructor Summary
`protected` | `AnnotatedField(com.fasterxml.jackson.databind.introspect.AnnotatedField.Serialization ser)` Method used for JDK serialization support
`` | `AnnotatedField(Field field, AnnotationMap annMap)`

Method Summary
`Field` | `getAnnotated()` Method that can be used to find actual JDK element that this instance represents.
`
`<A extends Annotation> A`
` | `getAnnotation(Class<A> acls)`
`int` | `getAnnotationCount()`
`Class<?>` | `getDeclaringClass()`
`String` | `getFullName()`
`Type` | `getGenericType()` Full generic type of the annotated element; definition of what exactly this means depends on sub-class.
`Member` | `getMember()`
`int` | `getModifiers()`
`String` | `getName()`
`Class<?>` | `getRawType()` "Raw" type (type-erased class) of the annotated element; definition of what exactly this means depends on sub-class.
`Object` | `getValue(Object pojo)` Optional method that can be used to access the value of this member on given object, if this is a supported operation for member type.
`void` | `setValue(Object pojo, Object value)` Optional method that can be used to assign value of this member on given object, if this is a supported operation for member type.
`String` | `toString()`
`AnnotatedField` | `withAnnotations(AnnotationMap ann)` Fluent factory method that will construct a new instance that uses specified instance annotations instead of currently configured ones.

Methods inherited from class com.fasterxml.jackson.databind.introspect.AnnotatedMember
`addIfNotPresent, addOrOverride, fixAccess, getAllAnnotations`

Methods inherited from class com.fasterxml.jackson.databind.introspect.Annotated
`getType, hasAnnotation, isPublic, withFallBackAnnotationsFrom`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _field

    protected final transient Field _field

  Actual `Field` used for access.

  Transient since it can not be persisted directly using JDK serialization

### _serialization

    protected com.fasterxml.jackson.databind.introspect.AnnotatedField.Serialization _serialization

  Temporary field required for JDK serialization support

Constructor Detail

### AnnotatedField

    public AnnotatedField(Field field,
                          AnnotationMap annMap)

### AnnotatedField

    protected AnnotatedField(com.fasterxml.jackson.databind.introspect.AnnotatedField.Serialization ser)

  Method used for JDK serialization support

Method Detail

### withAnnotations

    public AnnotatedField withAnnotations(AnnotationMap ann)

  Description copied from class: `Annotated`
  Fluent factory method that will construct a new instance that uses specified instance annotations instead of currently configured ones.

  Specified by:
    `withAnnotations` in class `Annotated`

### getAnnotated

    public Field getAnnotated()

  Description copied from class: `Annotated`
  Method that can be used to find actual JDK element that this instance represents. It is non-null, except for method/constructor parameters which do not have a JDK counterpart.

  Specified by:
    `getAnnotated` in class `Annotated`

### getModifiers

    public int getModifiers()

  Specified by:
    `getModifiers` in class `Annotated`

### getName

    public String getName()

  Specified by:
    `getName` in class `Annotated`

### getAnnotation

    public <A extends Annotation> A getAnnotation(Class<A> acls)

  Specified by:
    `getAnnotation` in class `Annotated`

### getGenericType

    public Type getGenericType()

  Description copied from class: `Annotated`
  Full generic type of the annotated element; definition of what exactly this means depends on sub-class.

  Specified by:
    `getGenericType` in class `Annotated`

### getRawType

    public Class<?> getRawType()

  Description copied from class: `Annotated`
  "Raw" type (type-erased class) of the annotated element; definition of what exactly this means depends on sub-class.

  Specified by:
    `getRawType` in class `Annotated`

### getDeclaringClass

    public Class<?> getDeclaringClass()

  Specified by:
    `getDeclaringClass` in class `AnnotatedMember`

### getMember

    public Member getMember()

  Specified by:
    `getMember` in class `AnnotatedMember`

### setValue

    public void setValue(Object pojo,
                         Object value)
                  throws IllegalArgumentException

  Description copied from class: `AnnotatedMember`
  Optional method that can be used to assign value of this member on given object, if this is a supported operation for member type.

  This is implemented for fields and single-argument member methods; but not for constructor parameters or other types of methods (like static methods)

  Specified by:
    `setValue` in class `AnnotatedMember`
  Throws:
    `IllegalArgumentException`

### getValue

    public Object getValue(Object pojo)
                    throws IllegalArgumentException

  Description copied from class: `AnnotatedMember`
  Optional method that can be used to access the value of this member on given object, if this is a supported operation for member type.

  This is implemented for fields and no-argument member methods; but not for constructor parameters or other types of methods (like static methods)

  Specified by:
    `getValue` in class `AnnotatedMember`
  Throws:
    `IllegalArgumentException`

### getFullName

    public String getFullName()

### getAnnotationCount

    public int getAnnotationCount()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FasterXML. All Rights Reserved.